Skip to main content
GET
/
challenges
/
stats
/
actions
Challenge actions list with summary
curl --request GET \
  --url https://{subdomain}.nudj.cx/api/v2/analytics/challenges/stats/actions
import requests

url = "https://{subdomain}.nudj.cx/api/v2/analytics/challenges/stats/actions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://{subdomain}.nudj.cx/api/v2/analytics/challenges/stats/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "data": [
      {
        "_id": "<string>",
        "userId": "<string>",
        "username": "<string>",
        "email": "<string>",
        "actionId": "<string>",
        "actionTitle": "<string>",
        "actionKey": "<string>",
        "participatedAt": "<string>",
        "criteriaMet": true,
        "uniqueId": "<string>",
        "profilePictureUrl": "<string>",
        "actionCategory": "<string>",
        "actionAttributes": {},
        "unmetCriteriaMessage": "<string>",
        "output": {}
      }
    ],
    "pagination": {
      "total": 123,
      "skip": 123,
      "limit": 123
    }
  },
  "summary": {
    "totalActions": 123,
    "totalSuccessful": 123,
    "successRate": 123
  }
}
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}

Query Parameters

challengeId
string
required
skip
integer
default:0
Required range: x >= 0
limit
integer
default:10
Required range: 1 <= x <= 100
sortField
enum<string>
default:participatedAt

Field to sort by: username, actionKey, participatedAt, or criteriaMet

Available options:
username,
actionKey,
participatedAt,
criteriaMet
sortDirection
enum<string>
default:desc
Available options:
asc,
desc
startDate
string
endDate
string

Response

Successful response

data
object
required
summary
object
required